Attribute VB_Name = "RAIxx"
Option Explicit

'
' Device status (Return value)
'
Public Const RAI_OK As Long = 0
Public Const RAI_INVALID_HANDLE As Long = 1
Public Const RAI_DEVICE_NOT_FOUND As Long = 2
Public Const RAI_DEVICE_NOT_OPENED As Long = 3
Public Const RAI_OTHER_ERROR As Long = 4
Public Const RAI_COMMUNICATION_ERROR As Long = 5
Public Const RAI_INVALID_PARAMETER As Long = 6
Public Const RAI_MEMORY_ERROR As Long = 7

'
' Sampling Rate
'
Public Const RAI_SAMPLING_RATE_10KSPS As Long = 1
Public Const RAI_SAMPLING_RATE_1KSPS As Long = 10
Public Const RAI_SAMPLING_RATE_100SPS As Long = 100
Public Const RAI_SAMPLING_RATE_10SPS As Long = 1000

'
' Trigger CH
'
Public Const RAI_TRIGGER_CH0 As Byte = 0
Public Const RAI_TRIGGER_CH1 As Byte = 1
Public Const RAI_TRIGGER_CH2 As Byte = 2
Public Const RAI_TRIGGER_CH3 As Byte = 3

'
' Trigger Type
'
Public Const RAI_TRIGGER_TYPE_LEVEL_H As Byte = 0
Public Const RAI_TRIGGER_TYPE_LEVEL_L As Byte = 1
Public Const RAI_TRIGGER_TYPE_SLOPE_RISING As Byte = 2
Public Const RAI_TRIGGER_TYPE_SLOPE_FALLING As Byte = 3


'
' Device Functions
'
Public Declare Function RAI_GetNumberOfDevices Lib "RAIxx.dll" (ByRef Number As Long) As Long
Public Declare Function RAI_GetSerialNumber Lib "RAIxx.dll" (ByVal Index As Long, ByRef SerialNumber As Long) As Long
Public Declare Function RAI_Open Lib "RAIxx.dll" (ByRef ID As Byte) As Long
Public Declare Function RAI_OpenBySerialNumber Lib "RAIxx.dll" (ByVal SerialNumber As Long, ByRef ID As Byte) As Long
Public Declare Function RAI_Close Lib "RAIxx.dll" (ByVal ID As Byte) As Long

'
' A/D Functions
'
Public Declare Function RAI_GetAnalogVoltage Lib "RAIxx.dll" (ByVal ID As Byte, ByRef CH0Value As Double, ByRef CH1Value As Double, ByRef CH2Value As Double, ByRef CH3Value As Double, ByVal SamplingCount As Long) As Long
Public Declare Function RAI_GetAnalogVoltageEx Lib "RAIxx.dll" (ByVal ID As Byte, ByRef CH0Value As Double, ByRef CH1Value As Double, ByRef CH2Value As Double, ByRef CH3Value As Double, ByVal SamplingRate As Long, ByVal SamplingCount As Long) As Long
Public Declare Function RAI_GetAnalogVoltageExEx Lib "RAIxx.dll" (ByVal ID As Byte, ByRef CH0Value As Double, ByRef CH1Value As Double, ByRef CH2Value As Double, ByRef CH3Value As Double, ByVal SamplingRate As Long, ByVal SamplingCount As Long, ByRef ReadCount As Long, ByVal TriggerCH As Byte, ByVal TriggerType As Byte, ByVal TriggerThreshold As Double, ByVal TriggerWaitCount As Long) As Long
